Application: gvSIG desktop - gvSIG bugs #3566
enlace espacial no utiliza seleccion / spacialjoint does not use selecction
06/02/2015 04:52 PM - Mario Fevre
Description

ES:

Al realizar un join espacial, se utiliza siempre la totalidad de la geometria de la capa a unir.
Creo que no pero puede estar relacionado con el error: gvSIG bugs #3013

Reproduccion del error

1. crear una capa de puntos, con tres puntos y un atributo id con valores 1,2y 3

2. crear una capa de superficies y crea un poligono que contenga solo al punto id:2

3. de la capa de puntos seeleccionar los puntos no contenidos en el poligono

4. en la caja de herramientas > Spatial Join > capa de entrada: poligono / capa de revestimiento: puntos / geometrias
seleccionadas (capa de union): cehcked / usar el mas cercano: checked.

5. consultar tabla de atributos de la capa resultante: dist 0.00 / id 2

conclusion

La operacién deberia haberse realizado solo con los puntos 1 y 3 generando una distancia al poligono mayor a 0.
Ademas, la caja de dialogo de spatialjoin se refiere a la misma capa primero: como capa de union, después como capa de
revestimiento.

EN:

Spatial join uses all geometry, does not recognyze seletcion from union layer
I do not think so but could be related with: gvSIG bugs #3013

bug reproduction

1. create new point layer, create 3 points width id field, vaule 1, 2, and 3

2. create surface layer, create one single poligon overlaing only point id:2

3. fron point layer select points 1 and 3

4. from the toolbox > Spatial Join > Input coverages: surface / Overlay layer: points / selected features (overlay layer): checked /
use the nearest: checked.

5. open result attribute table: dist: 0.00 /id:2

conclution

Operation should used only points 1 and 3 generatin a distance to the poligon bigger than 0.

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 3806: Spatial join geopr... Closed 10/07/2015
History

#1 - 10/23/2015 12:05 PM - Alvaro Anguix

- Category set to Geoprocess

#2 - 06/26/2017 11:12 AM - Alvaro Anguix
- Related to gvSIG bugs #3806: Spatial join geoprocess results are not correct (points and polygons) added

#3 - 04/10/2020 01:26 PM - Alvaro Anguix

- Status changed from New to Won't fix

Revisando, no acabo de entenderlo. Si s6lo hay una concurrencia espacial (poligono y punto 2) y decimos que use los puntos seleccionados (1 y 3),
realmente el resultado sera una capa vacia, ya que no hay concordancia espacial entre geometrias...y es el resultado que da. Por tanto, funciona

correctamente con la casuistica propuesta.

#4 - 04/12/2020 07:24 PM - Mario Fevre

Si te fijas, Alvaro, en el ejemplo activamos la opcién "usar el mas cercano"; por tanto | capa no deberia ser vacia.
De todos modos entiendo que el ejemplo fue mas complicado de lo necesario.
Creo que el titulo era lo suficientemente explicito. EN el ejemplo, gvSIG no respetd la opcion, geometrias seleccionadas (capa de union)

#5 - 04/12/2020 07:25 PM - Mario Fevre

de todas formas esto lo observé en el buil 2308, no tengo idea de si sigue vigente.

#6 - 04/13/2020 09:24 AM - Alvaro Anguix
- Status changed from Won't fix to New

Ok. Reabro, ahora me queda claro.
